# docker-compose -f docker-compose-kong.yaml pull && docker-compose -f docker-compose-kong.yaml up -d
# installing docker-compose sudo curl -L "https://github.com/docker/compose/releases/download/1.28.6/docker-compose-$(uname -s)-$(uname -m)" -o /usr/bin/docker-compose
#
version: "3.3"

volumes:
  appsentinels_onprem_config: {}

services:
  ng-edge-controller:
    container_name: ng-edge-controller
    restart: on-failure:5
    image: appsentinels/ng-controller:latest
    hostname: ng-edge-controller-kong-1
    environment:
      - APPLICATION_DOMAIN=<your-app-domain>
      - ENVIRONMENT=<environment>
      - SAAS_SERVER_NAME=in-cloud.appsentinels.ai
      - SAAS_API_KEY_VALUE=<your provided api key>
      # Enable below for TLS logging
      # - TLS_ENABLED_FOR_PLUGINS=true
    ports:
      - "9004:9004"
      - "127.0.0.1:9101:9101"
    logging:
      driver: local
      options:
        max-size: 10m
    volumes:
      - appsentinels_onprem_config:/usr/local/appsentinels-onprem/config
      # Enable below for TLS logging
      #- ./server_public.pem:/certs/server.crt
      #- ./server_private.pem:/certs/server.key
